Skip to content

PersistentVolumeClaim List.

GET
/api/data/namespaces/system/site/{site}/api/v1/namespaces/{namespace}/persistentvolumeclaims
curl --request GET \
--url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/data/namespaces/system/site/example/api/v1/namespaces/example/persistentvolumeclaims \
--header 'Authorization: <Authorization>'

API to GET list of PVCs for a given namespace in a site.

Examples of this operation.

site
required
string

Site Site name.

namespace
required
string

Namespace Namespace to scope the listing of PVCs in a site.

A successful response.

Media typeapplication/json

PersistentVolumeClaimList is a list of PersistentVolumeClaim items.

object
items
A list of persistent volume claims. More info: https://kubernetes.io/docs/concepts/storage/persistent-volumes#persistentvolumeclaims

Items in a collection or array

Array<object>
PersistentVolumeClaim is a user's request for and claim to a persistent volume
object
metadata
object
annotations
Annotations is an unstructured key value map stored with a resource that may be set by external tools to store and retrieve arbitrary metadata. They are not queryable and should be preserved when modifying objects. More info: http://kubernetes.io/docs/user-guide/annotations +optional

Additional metadata and notes

object
clusterName
The name of the cluster which the object belongs to. This is used to distinguish resources with same name and namespace in different clusters. This field is not set anywhere right now and apiserver is going to ignore it if set in create or update request. +optional

Cluster or grouping configuration

string
<= 1024 characters
creationTimestamp
object
nanos

Non-negative fractions of a second at nanosecond resolution. Negative second values with fractions must still have non-negative nanos values that count forward in time. Must be from 0 to 999,999,999 inclusive. This field may be limited in precision depending on context.

integer format: int32
seconds

Represents seconds of UTC time since Unix epoch 1970-01-01T00:00:00Z. Must be from 0001-01-01T00:00:00Z to 9999-12-31T23:59:59Z inclusive.

string format: int64
<= 1024 characters
deletionGracePeriodSeconds
Number of seconds allowed for this object to gracefully terminate before it will be removed from the system. Only set when deletionTimestamp is also set. May only be shortened. Read-only. +optional

Security-related configuration

string format: int64
<= 1024 characters
deletionTimestamp
object
nanos

Non-negative fractions of a second at nanosecond resolution. Negative second values with fractions must still have non-negative nanos values that count forward in time. Must be from 0 to 999,999,999 inclusive. This field may be limited in precision depending on context.

integer format: int32
seconds

Represents seconds of UTC time since Unix epoch 1970-01-01T00:00:00Z. Must be from 0001-01-01T00:00:00Z to 9999-12-31T23:59:59Z inclusive.

string format: int64
<= 1024 characters
finalizers
Must be empty before the object is deleted from the registry. Each entry is an identifier for the responsible component that will remove the entry from the list. If the deletionTimestamp of the object is non-nil, entries in this list can only be removed. Finalizers may be processed and removed in any order. Order is NOT enforced because it introduces significant risk of stuck finalizers. finalizers is a shared field, any actor with permission can reorder it. If the finalizer list is processed in order, then this can lead to a situation in which the component responsible for the first finalizer in the list is waiting for a signal (field value, external system, or other) produced by a component responsible for a finalizer later in the list, resulting in a deadlock. Without enforced ordering finalizers are free to order amongst themselves and are not vulnerable to ordering changes in the list. +optional +patchStrategy=merge

Configuration parameter for finalizers

Array<string>
generateName

GenerateName is an optional prefix, used by the server, to generate a unique name ONLY IF the Name field has not been provided. If this field is used, the name returned to the client will be different than the name passed. This value will also be combined with a unique suffix. The provided value has the same validation rules as the Name field, and may be truncated by the length of the suffix required to make the value unique on the server.

If this field is specified and the generated name exists, the server will NOT return a 409 - instead, it will either return 201 Created or 500 with Reason ServerTimeout indicating a unique name could not be found in the time allotted, and the client should retry (optionally after the time indicated in the Retry-After header).

Applied only if Name is not specified. More info: HTTPS://git.K8s.I/O/community/contributors/devel/sig-architecture/api-conventions.md#idempotency +optional.

string
<= 1024 characters
generation
A sequence number representing a specific generation of the desired state. Populated by the system. Read-only. +optional

Configuration parameter for generation

string format: int64
<= 1024 characters
labels
Map of string keys and values that can be used to organize and categorize (scope and select) objects. May match selectors of replication controllers and services. More info: http://kubernetes.io/docs/user-guide/labels +optional

Key-value labels for organization and selection

object
managedFields

ManagedFields maps workflow-ID and version to the set of fields that are managed by that workflow. This is mostly for internal housekeeping, and users typically shouldn’t need to set or understand this field. A workflow can be the user’s name, a controller’s name, or the name of a specific apply path like “ci-cd”. The set of fields is always in the version that the workflow used when modifying the object.

+optional.

Array<object>

ManagedFieldsEntry is a workflow-ID, a FieldSet and the group version of the resource that the fieldset applies to.

object
apiVersion

APIVersion defines the version of this resource that this field set applies to. The format is “group/version” just like the top-level APIVersion field. It is necessary to track the version of a field set because it cannot be automatically converted.

string
<= 1024 characters
fieldsType
FieldsType is the discriminator for the different fields format and version. There is currently only one possible value: "FieldsV1"

Field specification or configuration

string
<= 1024 characters
fieldsV1
object
Raw

Raw is the underlying serialization of this object.

string format: byte
<= 1024 characters
manager

Manager is an identifier of the workflow managing these fields.

string
<= 1024 characters
operation

Operation is the type of operation which lead to this ManagedFieldsEntry being created. The only valid values for this field are ‘Apply’ and ‘Update’.

string
<= 1024 characters
time
object
nanos

Non-negative fractions of a second at nanosecond resolution. Negative second values with fractions must still have non-negative nanos values that count forward in time. Must be from 0 to 999,999,999 inclusive. This field may be limited in precision depending on context.

integer format: int32
seconds

Represents seconds of UTC time since Unix epoch 1970-01-01T00:00:00Z. Must be from 0001-01-01T00:00:00Z to 9999-12-31T23:59:59Z inclusive.

string format: int64
<= 1024 characters
name
Name must be unique within a namespace. Is required when creating resources, although some resources may allow a client to request the generation of an appropriate name automatically. Name is primarily intended for creation idempotence and configuration definition. Cannot be updated. More info: http://kubernetes.io/docs/user-guide/identifiers#names +optional

Human-readable name for the resource

string
>= 6 characters <= 1024 characters
namespace

Namespace defines the space within each name must be unique. An empty namespace is equivalent to the “default” namespace, but “default” is the canonical representation. Not all objects are required to be scoped to a namespace - the value of this field for those objects will be empty.

Must be a DNS_LABEL. Cannot be updated. More info: HTTP://Kubernetes.I/O/docs/user-guide/namespaces +optional.

string
>= 6 characters <= 1024 characters
ownerReferences
List of objects depended by this object. If ALL objects in the list have been deleted, this object will be garbage collected. If this object is managed by a controller, then an entry in this list will point to this controller, with the controller field set to true. There cannot be more than one managing controller. +optional +patchMergeKey=uid +patchStrategy=merge

Owner or responsible party

Array<object>

OwnerReference contains enough information to let you identify an owning object. An owning object must be in the same namespace as the dependent, or be cluster-scoped, so there is no namespace field.

object
apiVersion

API version of the referent.

string
<= 1024 characters
blockOwnerDeletion
If true, AND if the owner has the "foregroundDeletion" finalizer, then the owner cannot be deleted from the key-value store until this reference is removed. Defaults to false. To set this field, a user needs "delete" permission of the owner, otherwise 422 (Unprocessable Entity) will be returned. +optional

Blocking or denial configuration

boolean format: boolean
controller
If true, this reference points to the managing controller. +optional

Configuration parameter for controller

boolean format: boolean
kind
Kind of the referent. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#types-kinds

Resource type or kind

string
>= 12 characters <= 1024 characters
name
Name of the referent. More info: http://kubernetes.io/docs/user-guide/identifiers#names

Human-readable name for the resource

string
>= 6 characters <= 1024 characters
uid
UID of the referent. More info: http://kubernetes.io/docs/user-guide/identifiers#uids

Unique identifier for this resource

string format: uuid
>= 36 characters <= 1024 characters
resourceVersion

An opaque value that represents the internal version of this object that can be used by clients to determine when objects have changed. May be used for optimistic concurrency, change detection, and the watch operation on a resource or set of resources. Clients must treat these values as opaque and passed unmodified back to the server. They may only be valid for a particular resource or set of resources.

Populated by the system. Read-only. Value must be treated as opaque by clients and . More info: HTTPS://git.K8s.I/O/community/contributors/devel/sig-architecture/api-conventions.md#concurrency-control-and-consistency +optional.

string
0 <= 1024 characters
selfLink

SelfLink is a URL representing this object. Populated by the system. Read-only.

DEPRECATED Kubernetes will stop propagating this field in 1.20 release and the field is planned to be removed in 1.21 release. +optional.

string
0 <= 1024 characters
uid

UID is the unique in time and space value for this object. It is typically generated by the server on successful creation of a resource and is not allowed to change on PUT operations.

Populated by the system. Read-only. More info: HTTP://Kubernetes.I/O/docs/user-guide/identifiers#uids +optional.

string format: uuid
>= 36 characters <= 1024 characters
spec
object
accessModes
AccessModes contains the desired access modes the volume should have. More info: https://kubernetes.io/docs/concepts/storage/persistent-volumes#access-modes-1 +optional

Configuration parameter for accessModes

Array<string>
dataSource
object
apiGroup
APIGroup is the group for the resource being referenced. If APIGroup is not specified, the specified Kind must be in the core API group. For any other third-party types, APIGroup is required. +optional

API version or group

string
<= 1024 characters
kind
Kind is the type of resource being referenced

Resource type or kind

string
>= 12 characters <= 1024 characters
name
Name is the name of resource being referenced

Human-readable name for the resource

string
>= 6 characters <= 1024 characters
resources
object
limits
Limits describes the maximum amount of compute resources allowed. More info: https://kubernetes.io/docs/concepts/configuration/manage-compute-resources-container/ +optional

Configuration parameter for limits

object
requests
Requests describes the minimum amount of compute resources required. If Requests is omitted for a container, it defaults to Limits if that is explicitly specified, otherwise to an implementation-defined value. More info: https://kubernetes.io/docs/concepts/configuration/manage-compute-resources-container/ +optional

Configuration parameter for requests

object
selector
object
matchExpressions
matchExpressions is a list of label selector requirements. The requirements are ANDed. +optional

Configuration parameter for matchExpressions

Array<object>

A label selector requirement is a selector that contains values, a key, and an operator that relates the key and values.

object
key
key is the label key that the selector applies to. +patchMergeKey=key +patchStrategy=merge

Cryptographic key material

string
>= 7 characters <= 1024 characters
operator

Operator represents a key’s relationship to a set of values. Valid operators are In, NotIn, Exists and DoesNotExist.

string
<= 1024 characters
values
values is an array of string values. If the operator is In or NotIn, the values array must be non-empty. If the operator is Exists or DoesNotExist, the values array must be empty. This array is replaced during a strategic merge patch. +optional

Configuration parameter for values

Array<string>
matchLabels
matchLabels is a map of {key,value} pairs. A single {key,value} in the matchLabels map is equivalent to an element of matchExpressions, whose key field is "key", the operator is "In", and the values array contains only "value". The requirements are ANDed. +optional

Key-value label for organization

object
storageClassName
Name of the StorageClass required by the claim. More info: https://kubernetes.io/docs/concepts/storage/persistent-volumes#class-1 +optional

Human-readable name for this resource

string
<= 1024 characters
volumeMode
volumeMode defines what type of volume is required by the claim. Value of Filesystem is implied when not included in claim spec. This is a beta feature. +optional

Configuration parameter for volumeMode

string
<= 1024 characters
volumeName
VolumeName is the binding reference to the PersistentVolume backing this claim. +optional

Human-readable name for this resource

string
<= 1024 characters
status
object
accessModes
AccessModes contains the actual access modes the volume backing the PVC has. More info: https://kubernetes.io/docs/concepts/storage/persistent-volumes#access-modes-1 +optional

Configuration parameter for accessModes

Array<string>
capacity
Represents the actual resources of the underlying volume. +optional

Configuration parameter for capacity

object
conditions
Current Condition of persistent volume claim. If underlying persistent volume is being resized then the Condition will be set to 'ResizeStarted'. +optional +patchMergeKey=type +patchStrategy=merge

Configuration parameter for conditions

Array<object>
PersistentVolumeClaimCondition contails details about state of pvc
object
lastProbeTime
object
nanos

Non-negative fractions of a second at nanosecond resolution. Negative second values with fractions must still have non-negative nanos values that count forward in time. Must be from 0 to 999,999,999 inclusive. This field may be limited in precision depending on context.

integer format: int32
seconds

Represents seconds of UTC time since Unix epoch 1970-01-01T00:00:00Z. Must be from 0001-01-01T00:00:00Z to 9999-12-31T23:59:59Z inclusive.

string format: int64
<= 1024 characters
lastTransitionTime
object
nanos

Non-negative fractions of a second at nanosecond resolution. Negative second values with fractions must still have non-negative nanos values that count forward in time. Must be from 0 to 999,999,999 inclusive. This field may be limited in precision depending on context.

integer format: int32
seconds

Represents seconds of UTC time since Unix epoch 1970-01-01T00:00:00Z. Must be from 0001-01-01T00:00:00Z to 9999-12-31T23:59:59Z inclusive.

string format: int64
<= 1024 characters
message
Human-readable message indicating details about last transition. +optional

Configuration parameter for message

string
<= 1024 characters
reason
Unique, this should be a short, machine understandable string that gives the reason for condition's last transition. If it reports "ResizeStarted" that means the underlying persistent volume is being resized. +optional

Configuration parameter for reason

string
>= 27 characters <= 1024 characters
status

Current status of the resource

string
>= 17 characters <= 1024 characters
type

Type or category classification

string
<= 1024 characters
phase
Phase represents the current phase of PersistentVolumeClaim. +optional

Current phase in the lifecycle

string
<= 1024 characters
metadata
object
continue

Continue may be set if the user set a limit on the number of items returned, and indicates that the server has more data available. The value is opaque and may be used to issue another request to the endpoint that served this list to retrieve the next set of available objects. Continuing a consistent list may not be possible if the server configuration has changed or more than a few minutes have passed. The resourceVersion field returned when using this continue value will be identical to the value in the first response, unless you have received this token from an error message.

string
0 <= 1024 characters
remainingItemCount
remainingItemCount is the number of subsequent items in the list which are not included in this list response. If the list request contained label or field selectors, then the number of remaining items is unknown and the field will be left unset and omitted during serialization. If the list is complete (either because it is not chunking or because this is the last chunk), then there are no more remaining items and this field will be left unset and omitted during serialization. Servers older than v1.15 do not set this field. The intended use of the remainingItemCount is *estimating* the size of a collection. Clients should not rely on the remainingItemCount to be set or to be exact. +optional

Number of items or occurrences

string format: int64
<= 1024 characters
resourceVersion
String that identifies the server's internal version of this object that can be used by clients to determine when objects have changed. Value must be treated as opaque by clients and passed unmodified back to the server. Populated by the system. Read-only. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#concurrency-control-and-consistency +optional

Version number or identifier

string
0 <= 1024 characters
selfLink

SelfLink is a URL representing this object. Populated by the system. Read-only.

DEPRECATED Kubernetes will stop propagating this field in 1.20 release and the field is planned to be removed in 1.21 release. +optional.

string
0 <= 1024 characters
Examplegenerated
{
"items": [
{
"metadata": {
"annotations": {},
"clusterName": "example",
"creationTimestamp": {
"nanos": 1,
"seconds": "example"
},
"deletionGracePeriodSeconds": "example",
"deletionTimestamp": {
"nanos": 1,
"seconds": "example"
},
"finalizers": [
"example"
],
"generateName": "example",
"generation": "example",
"labels": {},
"managedFields": [
{
"apiVersion": "example",
"fieldsType": "example",
"fieldsV1": {
"Raw": "example"
},
"manager": "example",
"operation": "example",
"time": {
"nanos": 1,
"seconds": "example"
}
}
],
"name": "example",
"namespace": "example",
"ownerReferences": [
{
"apiVersion": "example",
"blockOwnerDeletion": true,
"controller": true,
"kind": "example",
"name": "example",
"uid": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"
}
],
"resourceVersion": "example",
"selfLink": "example",
"uid": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"
},
"spec": {
"accessModes": [
"example"
],
"dataSource": {
"apiGroup": "example",
"kind": "example",
"name": "example"
},
"resources": {
"limits": {},
"requests": {}
},
"selector": {
"matchExpressions": [
{
"key": "example",
"operator": "example",
"values": [
"example"
]
}
],
"matchLabels": {}
},
"storageClassName": "example",
"volumeMode": "example",
"volumeName": "example"
},
"status": {
"accessModes": [
"example"
],
"capacity": {},
"conditions": [
{
"lastProbeTime": {
"nanos": 1,
"seconds": "example"
},
"lastTransitionTime": {
"nanos": 1,
"seconds": "example"
},
"message": "example",
"reason": "example",
"status": "example",
"type": "example"
}
],
"phase": "example"
}
}
],
"metadata": {
"continue": "example",
"remainingItemCount": "example",
"resourceVersion": "example",
"selfLink": "example"
}
}

Returned when operation is not authorized.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when there is no permission to access resource.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when resource is not found.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation on resource is conflicting with current value.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation has been rejected as it is happening too frequently.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server encountered an error in processing API.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when service is unavailable temporarily.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server timed out processing request.

Media typeapplication/json
string format: string
Examplegenerated
example